Create Payment Schedule
POST
https://beta-api.monoova.com/au/payto/pam-v1/PaymentSchedule
Body Parameters
- bodyMandateManager.Application.PaymentSchedules.Dto.CreatePaymentScheduleDtoInrequiredDescription
- scheduleIdstringrequiredExampleDescriptionDefaultMONSCH12345Pattern^[a-zA-Z0-9_-]{1,36}$
- entityIdstringrequiredExampleDescriptionDefaultMONPAG12345Pattern^[a-zA-Z0-9_-]{1,35}$
- startDatestringrequiredExampleDescriptionDefault2027-01-15Pattern^\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])$
- endDatestringExampleDescriptionDefault2027-12-15Pattern^\d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])$
- frequencystringExampleDescriptionDefaultADHOPattern^(ADHO|DAIL|FRTN|INDA|MIAN|MNTH|QURT|WEEK|YEAR)$
- scheduledAmountnumber<double>ExampleDescriptionDefault50FormatdoublePattern^[0-9]{1,16}(\.[0-9]{1,2})?$
- totalInstancesinteger<int32>ExampleDescriptionDefault12Formatint32Pattern^[1-9][0-9]*$
- totalAmountnumber<double>ExampleDescriptionDefault600FormatdoublePattern^[0-9]{1,16}(\.[0-9]{1,2})?$
- paymentReferencestringExampleDescriptionDefaultABC Corp monthly subscriptionMin Length1Max Length280Pattern^[ -~]{1,280}$
Responses
200
- MandateManager.Application.PaymentSchedules.Dto.CreatePaymentScheduleResponseDescription
- traceIdstringExampleDescriptionDefault1dabfaa9-abe8-4d2d-a69a-b723079d84edPattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- scheduleIdstringExampleDescriptionDefaultMONSCH12345Pattern^[a-zA-Z0-9_-]{1,36}$
- statusstringExampleDescriptionDefaultPendingPattern^(Pending|Active|Paused|Cancelled)$
- statusDescriptionstringExampleDescriptionDefaultPendingPattern^.+$
- statusReasonCodestringExampleDescriptionDefaultCustReqPattern^(CustReq|CreateError|Expired|AgreementStatusChanged|InvalidPayeeDetails|BilateralAmendmentInitiated|MaxedOutTotalInstanceLimit|MaxedOutTotalAmountLimit|ExceededScheduleEndDate|FinalPaymentInitiated|SchedulingDisabled)$
- statusReasonDescriptionstringExampleDescriptionDefaultRequested by customerPattern^.+$
400
- MandateManager.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAM_SCHED_EXISTS", "errorMessage": "Payment schedule MONSCH12345 already exists" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsMandateManager.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAM_STARTDATE_EARLYPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.startDate must be future datePattern^.+$
401
403
- MandateManager.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAM_FORBIDDEN_ERROR", "errorMessage": "Not allowed to create payment schedule for account 6279059778044302" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsMandateManager.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAM_STARTDATE_EARLYPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.startDate must be future datePattern^.+$
404
- MandateManager.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAM_PAG_NOT_FOUND_ERROR", "errorMessage": "PaymentAgreement not found for PaymentAgreementUID MONPAG12345" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsMandateManager.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAM_STARTDATE_EARLYPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.startDate must be future datePattern^.+$
500
- MandateManager.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAM_UNEXPECTED_ERROR", "errorMessage": "Internal server error. Please contact Monoova support." } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsMandateManager.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAM_STARTDATE_EARLYPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.startDate must be future datePattern^.+$
502
- MandateManager.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAM_SCHEDULER_ERROR", "errorMessage": "Error returned from scheduler service - service unavailable" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsMandateManager.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAM_STARTDATE_EARLYPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.startDate must be future datePattern^.+$
503
504
- MandateManager.Application.Common.Dtos.ErrorResponseExample
{ "traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741", "errors": [ { "errorCode": "PAM_SCHEDULER_TIMEOUT", "errorMessage": "Timeout from scheduler service" } ] }Description- traceIdstringExampleDescriptionDefault4ea61012-2d9b-413d-a5b4-90ad69a68741Pattern^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
- errorsMandateManager.Application.Common.Dtos.ErrorDto[]Description
- errorCodestringExampleDescriptionDefaultPAM_STARTDATE_EARLYPattern^[A-Z]{3}_[A-Z0-9_]+$
- errorMessagestringExampleDescriptionDefaultpaymentDetails.startDate must be future datePattern^.+$
curl
curl --request POST \
--url https://beta-api.monoova.com/au/payto/pam-v1/PaymentSchedule \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"scheduleId": "MONSCH12345",
"entityId": "MONPAG12345",
"startDate": "2027-01-15",
"endDate": "2027-12-15",
"frequency": "ADHO",
"scheduledAmount": 50,
"totalInstances": 12,
"totalAmount": 600,
"paymentReference": "ABC Corp monthly subscription"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"scheduleId": "MONSCH12345",
"entityId": "MONPAG12345",
"startDate": "2027-01-15",
"endDate": "2027-12-15",
"frequency": "ADHO",
"scheduledAmount": 50,
"totalInstances": 12,
"totalAmount": 600,
"paymentReference": "ABC Corp monthly subscription"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://beta-api.monoova.com/au/payto/pam-v1/PaymentSchedule", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://beta-api.monoova.com/au/payto/pam-v1/PaymentSchedule")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"scheduleId": "MONSCH12345",
"entityId": "MONPAG12345",
"startDate": "2027-01-15",
"endDate": "2027-12-15",
"frequency": "ADHO",
"scheduledAmount": 50,
"totalInstances": 12,
"totalAmount": 600,
"paymentReference": "ABC Corp monthly subscription"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://beta-api.monoova.com/au/payto/pam-v1/PaymentSchedule"
payload = json.dumps({
"scheduleId": "MONSCH12345",
"entityId": "MONPAG12345",
"startDate": "2027-01-15",
"endDate": "2027-12-15",
"frequency": "ADHO",
"scheduledAmount": 50,
"totalInstances": 12,
"totalAmount": 600,
"paymentReference": "ABC Corp monthly subscription"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// OK. The payment schedule was created.
{
"traceId": "1dabfaa9-abe8-4d2d-a69a-b723079d84ed",
"scheduleId": "MONSCH12345",
"status": "Pending",
"statusDescription": "Pending",
"statusReasonCode": "CustReq",
"statusReasonDescription": "Requested by customer"
}400
// Bad Request. The request failed validation. See errors for details.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAM_STARTDATE_EARLY",
"errorMessage": "paymentDetails.startDate must be future date"
}
]
}401
// Unauthorized. The bearer token is missing, invalid or expired. Bearer tokens are valid for 24 hours; generate a new token and retry.
403
// Forbidden. Your account is not permitted to perform this operation.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAM_STARTDATE_EARLY",
"errorMessage": "paymentDetails.startDate must be future date"
}
]
}404
// Not Found. The payment agreement could not be found.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAM_STARTDATE_EARLY",
"errorMessage": "paymentDetails.startDate must be future date"
}
]
}500
// Internal Server Error. An unexpected error occurred. Contact Monoova support if the problem persists.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAM_STARTDATE_EARLY",
"errorMessage": "paymentDetails.startDate must be future date"
}
]
}502
// Bad Gateway. An upstream service, such as the NPP gateway, returned an error. Retry the request later.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAM_STARTDATE_EARLY",
"errorMessage": "paymentDetails.startDate must be future date"
}
]
}503
// Service Unavailable. The service is temporarily unavailable. Retry the request later.
504
// Gateway Timeout. An upstream service, such as the NPP gateway, did not respond in time. Retry the request later.
{
"traceId": "4ea61012-2d9b-413d-a5b4-90ad69a68741",
"errors": [
{
"errorCode": "PAM_STARTDATE_EARLY",
"errorMessage": "paymentDetails.startDate must be future date"
}
]
}